Bug 1673664 - [consulting] chronyd ends up being disabled even though it's on in all.yml
Summary: [consulting] chronyd ends up being disabled even though it's on in all.yml
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.2
Hardware: All
OS: All
high
medium
Target Milestone: rc
: 4.0
Assignee: Guillaume Abrioux
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-07 17:46 UTC by Patrick C. F. Ernzer
Modified: 2019-06-13 16:50 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-13 16:50:44 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github ceph ceph-ansible issues 3582 None None None 2019-02-07 17:51 UTC
Github ceph ceph-ansible pull 3605 None None None 2019-02-15 07:44 UTC

Description Patrick C. F. Ernzer 2019-02-07 17:46:50 UTC
Description of problem:
A small error in `roles/ceph-infra/tasks/setup_ntp.yml` ends up disabling chronyd via a handler.

I've fixed the obvious error in an PR for ceph-ansible master branch.[1]

This bug created to ensure we back-port or otherwise deal with this bug in the RHCS 3.2 stream.

Version-Release number of selected component (if applicable):
ceph-ansible-3.2.4-1.el7cp.noarch

How reproducible:
always

Steps to Reproduce:
1. set `ntp_service_enabled: true` in `all.yml`
2. set `ntp_daemon_type: chronyd` in `all.yml`
3. `ansible-playbook site.yml`

Actual results:
chronyd gets installed, enabled, started and then immediately disabled (via a handler).

Expected results:
chronyd.service enabled and running when playbook finished

Additional info:
I havce verified that the change I sugegst in the PR does lead to the result I want.

[1] PR is at https://github.com/ceph/ceph-ansible/pull/3583


Note You need to log in before you can comment on or make changes to this bug.